@import '~include-media/dist/include-media';
@import './variables';

.mat-typography {
  h1 {
    color: $fmi-plateau-primary-color-default;
    font-size: 3rem;
    line-height: normal;

    + h2 {
      margin-top: 0;
    }
  }

  h2 {
    color: $fmi-plateau-primary-color-text;
    font-size: 2rem;
    line-height: normal;

    + h3 {
      margin-top: 0;
    }
  }

  h3 {
    color: $fmi-plateau-primary-color-text;
    font-size: 1.125rem;
    font-weight: bold;

    + h4 {
      margin-top: 0;
    }
  }

  h4 {
    color: $fmi-plateau-primary-color-text;
    font-size: 1rem;
    font-weight: bold;

    + h5 {
      margin-top: 0;
    }
  }

  h5 {
    color: $fmi-plateau-primary-color-text;
    font-size: .875rem;
  }

  h1, h2, h3, h4, h5 {
    margin: 1rem 0;
  }
}

@include media('<=xs') {
  .mat-typography {
    h1 {
      font-size: 2rem;
    }

    h2 {
      font-size: 1.5rem;
    }

    h1, h2, h3, h4, h5 {
      margin: .5rem 0;
    }
  }
}
